# GCC_ApplicationRecord Class Reference

`#include <gcc.h>`

Inheritance diagram for GCC_ApplicationRecord:

List of all members.

## Public Types

enum | OptionalFields { e_startupChannel, e_applicationUserID, e_nonCollapsingCapabilities }

## Public Member Functions

| GCC_ApplicationRecord (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

PASN_Boolean | m_applicationActive
PASN_Boolean | m_conductingOperationCapable
GCC_ChannelType | m_startupChannel
GCC_UserID | m_applicationUserID
GCC_ApplicationRecord_nonCollapsingCapabilities | m_nonCollapsingCapabilities

## Member Enumeration Documentation

enum GCC_ApplicationRecord::OptionalFields

Enumerator:

  e_startupChannel |
  e_applicationUserID |
  e_nonCollapsingCapabilities |

## Constructor & Destructor Documentation

GCC_ApplicationRecord::GCC_ApplicationRecord | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX GCC_ApplicationRecord::GetDataLength | ( |  | ) | const

PBoolean GCC_ApplicationRecord::Decode | ( | PASN_Stream & | strm | ) |

void GCC_ApplicationRecord::Encode | ( | PASN_Stream & | strm | ) | const

void GCC_ApplicationRecord::PrintOn | ( | ostream & | strm | ) | const

Comparison GCC_ApplicationRecord::Compare | ( | const PObject & | obj | ) | const

PObject* GCC_ApplicationRecord::Clone | ( |  | ) | const

## Member Data Documentation

PASN_Boolean GCC_ApplicationRecord::m_applicationActive

PASN_Boolean GCC_ApplicationRecord::m_conductingOperationCapable

GCC_ChannelType GCC_ApplicationRecord::m_startupChannel

GCC_UserID GCC_ApplicationRecord::m_applicationUserID

GCC_ApplicationRecord_nonCollapsingCapabilities GCC_ApplicationRecord::m_nonCollapsingCapabilities

The documentation for this class was generated from the following file:

- gcc.h